## com.google.appengine.api.log
Class InvalidRequestException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.log.InvalidRequestException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidRequestException

extends java.lang.RuntimeException

Log errors caused by an invalid request due either to an out of range option or an unsupported combination of options. The exception detail will typically provide more specific information about the error.

See Also:
  Serialized Form

Constructor Summary
`InvalidRequestException(java.lang.String detail)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidRequestException

    public InvalidRequestException(java.lang.String detail)